Subject: bug#38248: help-follow-symbol silent when no symbol was found

From: Juanma Barranquero <[email-masked]>
Date: Fri, 22 Nov 2019 20:40:15 +0100

On Fri, Nov 22, 2019 at 8:25 PM Eli Zaretskii <[email-masked]> wrote:

> Rationale?

I quote from my original bug report:

Currently, help-follow and help-follow-mouse signal an error if there's
nothing to follow. However, help-follow-symbol does not, which means
that C-c C-c in the help buffer when over an arbitrary non-symbol does
nothing and says nothing.

That's not just inconsistent, but a bit disconcerting, as sometimes
following a symbol can be slow. In my build, it takes a second or more
to show the symbol documentation, so when there's no symbol I stand
waiting for something to happen for a couple of seconds.

> > +** help-follow-symbol now signals user-error if point (or the position
>
> user-error should be quoted 'like this'.

Ok.